package entity

// UserWithdrawalResp \game\game_cluster\nodes\webadmin\entity\user_withdrawal.go
type UserWithdrawalResp struct {
	UserName    string `json:"userName" bson:"userName"`        // 用户名字
	NickName    string `json:"nickName" bson:"nickName"`        // 昵称
	Status      int    `json:"status" bson:"status"`            // 0:未审核 1:审核通过 2:审核失败
	Amount      int    `json:"amount" bson:"amount"`            //
	AfterAmount int    `json:"afterAmount" bson:"after_amount"` //
	Type        int    `json:"type" bson:"type"`                // 货币内型
	Address     string `json:"address" bson:"address"`          // 地址
	CreateAt    int64  `json:"createAt" bson:"createAt"`
	UpdateAt    int64  `json:"updateAt" bson:"updateAt"`
}

type UserWithdrawalReq struct {
	UserName  string `json:"userName" bson:"userName"` // 用户名字
	NickName  string `json:"nickName" bson:"nickName"` // 昵称
	StartTime int64  `json:"start_time"`               // 开始时间
	EndTime   int64  `json:"end_time"`                 // 结束时间
	Page      int    `json:"page"`                     // 页码
	Size      int    `json:"size"`                     // 每页数量
}

type UserWithdrawal struct {
}
